#include <iostream>
#include <sstream>
#include "Student.h"

Student::Student(int classId, const Person &person) : classId(classId), Person(person) {}

Student::Student(const Student &student) : classId(student.classId), Person(student) {}

int Student::getClassId() const {
    return classId;
}

void Student::setClassId(int classId) {
    Student::classId = classId;
}

std::string Student::toString() {
    std::stringstream output;
    output
            << Person::toString() << '\n'
            << "༶" << classId;

    return output.str();
}

Student::Student(const std::string &id, const std::string &name, char sex, const std::string &identNumber,
                 const Date &birthday, int classId)
        : Person(id, name, sex, identNumber, birthday), classId(classId) {}

